/*
 * $Id: Sslb.cs,v 1.1.1.1 2009/08/22 11:57:02 kenta Exp $
 *
 * Copyright 2008 Kenta Cho. Some rights reserved.
 */
using System;
using System.Collections.Generic;

namespace Abagames.Util.Ssl
{
    /// <summary>
    /// 
    /// </summary>
    public class Sslb : Ssl
    {
    }

    public class Fire : NestedCommand
    {
        public Expression Angle;
        public Expression Speed;
        public List<Command> Commands { get; set; }
        public int CommandsId { get; set; }

        public Fire()
        {
            CommandsId = -1;
        }
    }

    public class AimFire : Fire
    {
    }

    public class ResetFire : Fire
    {
    }

    public class Speed : Command
    {
        public Expression Value;
        public Expression Term;
    }

    public class Direction : Command
    {
        public Expression Value;
        public Expression Term;
    }
}
