/*
 * $Id: SsleImporter.cs,v 1.1.1.1 2009/08/22 11:57:02 kenta Exp $
 *
 * Copyright 2008 Kenta Cho. Some rights reserved.
 */
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content.Pipeline;

namespace Abagames.Util.Ssl
{
    /// <summary>
    /// 
    /// </summary>
    [ContentImporter(".ssle", DisplayName = "SSL-E File Importer")]
    public class SsleImporter : SslImporter<Ssle>
    {
        public override void ParseCommand(string[] strs)
        {
            switch (strs[0])
            {
                case "setx":
                    Setx sx = new Setx();
                    sx.Value = new Expression(strs[1]);
                    commands.Add(sx);
                    break;
                case "sety":
                    Sety sy = new Sety();
                    sy.Value = new Expression(strs[1]);
                    commands.Add(sy);
                    break;
                /*case "movex":
                    break;
                case "movey":
                    break;*/
                default:
                    ///*** handle another ssle call
                    break;
            }
        }
    }
}
